/******************************************************************************
 test.parser.fns.h

	Header file for test.parser.fns.cc

	Copyright © 1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_test_parser_fns
#define _H_test_parser_fns

#include <jTypes.h>

class JFunction;
class JDecision;
class JVariableList;
class TestVarList;

void TestDecisionEquality(const JCharacter* fileName);
void TestFunctionEquality(const JCharacter* fileName);

JBoolean GetDecision(istream& input, const JVariableList* theVariableList,
					 JDecision** theDecision);
JBoolean GetFunction(istream& input, const JVariableList* theVariableList,
					 JFunction** theFunction);

#endif
